import { createObservable } from "@reactive-js/observable";
export const fromEvent = (target, eventName, selector) => createObservable(observer => {
    const listener = (event) => {
        try {
            const result = selector(event);
            observer.next(result);
        }
        catch (cause) {
            observer.complete({ cause });
        }
    };
    target.addEventListener(eventName, listener, { passive: true });
    return () => {
        target.removeEventListener(eventName, listener);
    };
});
//# sourceMappingURL=event.js.map